    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.providers;
    020
    021/**
    022 *  This is a provider interface which providers can implement, if they
    023 *  support fast checks of versions.
    024 *  <p>
    025 *  Note that this interface is pretty much a hack to support certain functionality
    026 *  before a complete refactoring of the complete provider interface.  Please
    027 *  don't bug me too much about it...
    028 *
    029 *
    030 *  @since 2.3.29
    031 */
    032public interface VersioningProvider
    033{
    034    /**
    035     *  Return true, if page with a particular version exists.
    036     *
    037     *  @param page The page name to check for
    038     *  @param version The version to check
    039     *  @return True, if page exists; false otherwise.
    040     */
    041    boolean pageExists( String page, int version );
    042}